> For the complete documentation index, see [llms.txt](https://docs.oxygenhq.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oxygenhq.org/download-installation-start/start-working-with-oxygen/getting-started-windows-desktop.md).

# Getting Started - Oxygen for Windows Desktop Automation

For Windows installation instructions - please refer to [Oxygen for Windows installation](https://docs.oxygenhq.org/download-installation-start/download-and-installation/oxygen-for-windows-installation)

## Recording Windows Applications- Appium Desktop

Recording of scripts for automation is not performed in the Oxygen IDE. Rather, the automation recording is achieved using Appium Desktop, which supports creating scripts for Oxygen. Recording on Appium desktop is explained here [Recording a test on Mobile](https://docs.oxygenhq.org/getting-started-mobile/getting-started-mobile/recording-mobile-tests)

In order to be set-up for recording and executing tests on windows desktop, you would need to follow the same steps as you would for the getting started with Mobile testing, namely installing our customized version of Appium Desktop.

When defining the Capabilities parameter in Appium Desktop, it is recommended / required to add the capability definition&#x20;

```
"deviceName": "WindowsPC"
```

For example here is the capabilities as would be used inside Appium Desktop

```
{
  "app": "Microsoft.WindowsCalculator_8wekyb3d8bbwe!App",
  "platformName": "Windows",
  "deviceName": "WindowsPC"
}
```

## Oxygen Sample Code - Win Desktop

In the following code sample we show how Oxygen will execute a test automation for windows applications (in this case- Calculator). Note that the  **"deviceName": "WindowsPC"** is not needed here

```
win.init({
//"app": "Microsoft.WindowsCalculator_8wekyb3d8bbwe!App"
app: "Calculator",
platformName: "Windows"
});
win.click("~num1Button");
win.click("~plusButton");
win.click("~num7Button");
win.click("~equalButton");
win.assertText("~CalculatorResults", "Display is 8");
```

For a description of commands and Syntax for Windows Desktop Automation, please see the [windows automation documentation under Modules section](https://docs.oxygenhq.org/api-reference/modules/module-win) in his documentation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.oxygenhq.org/download-installation-start/start-working-with-oxygen/getting-started-windows-desktop.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
